## Contributing

It would be awesome if somebody is willing to test the component with other configurations (ex Typescript, Babel).

For planned features:
- check out the issues and pick one marked with a 'feature' tag
- fork and create a new feature branch
- submit a PR and reference the issue

For new features:
- submit a new issue with a basic proposal outlining the purpose
- fork and create a new feature branch
- submit a PR and reference the 'feature' issue

*Note: Feature requests start with a proposal so developers don't waste time/effort implementing changes that won't be included.*

For bug fixes:
- submit an issue describing the bug (if one doesn't already exist)
- submit a PR that references the issues

## Standards

Commits:
- do describe what the commit accomplishes in the title
- do add additional details in the body if you feel they need explanation
- do separate changes logically into separate smaller commits
- don't group many unrelated changes in a commit
- don't include style changes in your commits (ex spaces-to-tabs)

Pull Requests:
- do submit your PR against the 'master' branch
- do rebase your feature branch onto master prior to submission
- don't hesitate to submit a PR, even if it requires feedback/changes
- don't be afraid to ask for help, mentoring is available
- don't be afraid to submit imperfect code, nobody is here to judge

## Newbies

The steps above assume regular knowledge of contributing to GitHub.

If this is your first contribution and you're not familiar with how Pull Requests work, don't hesitate to ask for help. Just file a new issue titled 'Requesting Help' with your questions.